@javascript
Feature: Create a user
  In order to manage the users and rights
  As an administrator
  I need to be able to create a user

  Background:
    Given the "default" catalog configuration
    And I am logged in as "Peter"

  Scenario: Successfully create a user
    Given I am on the user creation page
    And I fill in the following information:
      | Username          | jack     |
      | First name        | Jack     |
      | Last name         | Doe      |
      | Password          | DoeDoe   |
      | Re-enter password | DoeDoe   |
      | Status            | Inactive |
    And I scroll down
    And I fill in the following information:
      | E-mail | jack@example.com |
    And I visit the "Groups and Roles" tab
    And I select the role "User"
    When I save the user
    Then there should be a "jack" user

  Scenario: Successfully delete a user
    Given I am on the users page
    When I click on the "Delete" action of the row which contains "Julia"
    Then I should see a confirm dialog with the following content:
      | title   | Delete Confirmation                        |
      | content | Are you sure you want to delete this user? |
    When I confirm the deletion
    Then I should not see "Julia"
